MPD: tag/TagHandler.hxx File Reference

MPD 0.20.18

Data Structures | Functions | Variables
TagHandler.hxx File Reference
`#include "check.h"`
`#include "TagType.h"`
`#include "Chrono.hxx"`
`#include <assert.h>`
Include dependency graph for TagHandler.hxx:

Go to the source code of this file.

## Data Structures
struct | TagHandler
| A callback table for receiving metadata of a song. More...

## Functions
static void | tag_handler_invoke_duration (const TagHandler &handler, void *ctx, SongTime duration)
static void | tag_handler_invoke_tag (const TagHandler &handler, void *ctx, TagType type, const char *value)
static void | tag_handler_invoke_pair (const TagHandler &handler, void *ctx, const char *name, const char *value)

## Variables
const TagHandler | add_tag_handler
| This TagHandler implementation adds tag values to a TagBuilder object (casted from the context pointer). More...
const TagHandler | full_tag_handler
| This TagHandler implementation adds tag values to a TagBuilder object (casted from the context pointer), and supports the has_playlist attribute. More...

## Function Documentation

## ◆ tag_handler_invoke_duration()

static void tag_handler_invoke_duration | ( | const TagHandler & | handler,
|  | void * | ctx,
|  | SongTime | duration
| ) |  |
| inlinestatic

Definition at line 56 of file TagHandler.hxx.

## ◆ tag_handler_invoke_pair()

static void tag_handler_invoke_pair | ( | const TagHandler & | handler,
|  | void * | ctx,
|  | const char * | name,
|  | const char * | value
| ) |  |
| inlinestatic

Definition at line 75 of file TagHandler.hxx.

## ◆ tag_handler_invoke_tag()

static void tag_handler_invoke_tag | ( | const TagHandler & | handler,
|  | void * | ctx,
|  | TagType | type,
|  | const char * | value
| ) |  |
| inlinestatic

Definition at line 64 of file TagHandler.hxx.

## Variable Documentation

## ◆ add_tag_handler

const TagHandler add_tag_handler

This TagHandler implementation adds tag values to a TagBuilder object (casted from the context pointer).

## ◆ full_tag_handler

const TagHandler full_tag_handler

This TagHandler implementation adds tag values to a TagBuilder object (casted from the context pointer), and supports the has_playlist attribute.